declare module EVA.AvaTax {

  /**
   * Validate the Avatax configuration for the current OrganizationUnit.
   * 
   * Returns a list of messages that contains information about the configuration.
   */
  export interface AvataxValidateConfiguration {
  }

  export interface AvataxValidateConfigurationResponse {
    IsValid: boolean;
    Messages: AvataxValidateConfigurationResponse.ValidationMessage[];
    Error?: EVA.Core.ServiceError;
    Metadata?: EVA.Core.ResponseMessageMetadata;
  }

  export namespace AvataxValidateConfigurationResponse {
    export interface ValidationMessage {
      Error: boolean;
      Message: string;
    }

  }

}
