declare module EVA.Payment.MultiSafepay {

  export interface GetMultiSafepayGateways {
    /**
     * Entity type: Order
     */
    OrderID: number;
  }

  export interface GetMultiSafepayGatewaysResponse {
    Gateways: { [key: string]: string };
    Error?: EVA.Core.ServiceError;
    Metadata?: EVA.Core.ResponseMessageMetadata;
  }

}
