declare module EVA.Payment.UnionPay {

  export namespace Errors {
    export const enum UnionPayClient {
      /**
       * UnionPay error {0:string}: {1:string}
       */
      ApiError = 'UnionPayClient:ApiError',
      /**
       * Invalid currency {0:string}, only CNY is supported.
       */
      InvalidCurrency = 'UnionPayClient:InvalidCurrency',
      /**
       * Scanned QR code missing.
       */
      CodeMissing = 'UnionPayClient:CodeMissing'
    }

  }


  export interface UnionPayBSCPaymentMethodRequestProperties {
    QRCode: string;
  }

  export interface UnionPayCSBPaymentMethodResultProperties {
    QRCode: string;
  }

}
