declare module EVA.Payment.Stripe {

  export namespace Errors {
    export const enum Stripe {
      /**
       * Missing BackendID on payment {0:number}
       */
      MissingBackendID = 'Stripe:MissingBackendID',
      /**
       * Failed make payment: '{0:string}'
       */
      PaymentFailed = 'Stripe:PaymentFailed',
      /**
       * ApiKey is not yet configured
       */
      MissingApiKey = 'Stripe:MissingApiKey',
      /**
       * Failed to setup webhooks: {0:string}
       */
      WebhooksFailed = 'Stripe:WebhooksFailed'
    }

  }


  /**
   * Validates current config for Stripe
   */
  export interface StripeValidateConfiguration {
  }

}
